OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESAppli

# IGESAppli_LineWidening Class Reference

defines LineWidening, Type <406> Form <5>
in package IGESAppli
Defines the characteristics of entities when they are
used to define locations of items.

`#include <IGESAppli_LineWidening.hxx>`

Inheritance diagram for IGESAppli_LineWidening:

[legend]

## Public Member Functions
Standard_EXPORT | IGESAppli_LineWidening ()
Standard_EXPORT void | Init (const Standard_Integer nbPropVal, const Standard_Real aWidth, const Standard_Integer aCornering, const Standard_Integer aExtnFlag, const Standard_Integer aJustifFlag, const Standard_Real aExtnVal)
| This method is used to set the fields of the class LineWidening - nbPropVal : Number of property values = 5 - aWidth : Width of metalization - aCornering : Cornering codes 0 = rounded 1 = squared - aExtnFlag : Extension Flag 0 = No Extension 1 = One-half width extension 2 = Extn set by ExtnVal - aJustifFlag : Justification flag 0 = Center justified 1 = left justified 2 = right justified - aExtnVal : Extension value if aExtnFlag = 2 .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns the number of property values is always 5
Standard_EXPORT Standard_Real | WidthOfMetalization () const
| returns the width of metallization
Standard_EXPORT Standard_Integer | CorneringCode () const
| returns the cornering code 0 = Rounded / 1 = Squared
Standard_EXPORT Standard_Integer | ExtensionFlag () const
| returns the extension flag 0 = No extension 1 = One-half width extension 2 = Extension set by theExtnVal
Standard_EXPORT Standard_Integer | JustificationFlag () const
| returns the justification flag 0 = Centre justified 1 = Left justified 2 = Right justified
Standard_EXPORT Standard_Real | ExtensionValue () const
| returns the Extension Value Present only if theExtnFlag = 2
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | theNbPropertyValues
Standard_Real | theWidth
Standard_Integer | theCorneringCode
Standard_Integer | theExtensionFlag
Standard_Integer | theJustificationFlag
Standard_Real | theExtensionValue

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_LineWidening::IGESAppli_LineWidening | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer IGESAppli_LineWidening::CorneringCode | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESAppli_LineWidening::ExtensionFlag | ( |  | ) | const

Standard_EXPORT Standard_Real IGESAppli_LineWidening::ExtensionValue | ( |  | ) | const

Standard_EXPORT const IGESAppli_LineWidening::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESAppli_LineWidening::Init | ( | const Standard_Integer | nbPropVal,
|  | const Standard_Real | aWidth,
|  | const Standard_Integer | aCornering,
|  | const Standard_Integer | aExtnFlag,
|  | const Standard_Integer | aJustifFlag,
|  | const Standard_Real | aExtnVal
| ) |

Standard_EXPORT Standard_Integer IGESAppli_LineWidening::JustificationFlag | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESAppli_LineWidening::NbPropertyValues | ( |  | ) | const

Standard_EXPORT Standard_Real IGESAppli_LineWidening::WidthOfMetalization | ( |  | ) | const

## Field Documentation

Standard_Integer IGESAppli_LineWidening::theCorneringCode`[private]`

Standard_Integer IGESAppli_LineWidening::theExtensionFlag`[private]`

Standard_Real IGESAppli_LineWidening::theExtensionValue`[private]`

Standard_Integer IGESAppli_LineWidening::theJustificationFlag`[private]`

Standard_Integer IGESAppli_LineWidening::theNbPropertyValues`[private]`

Standard_Real IGESAppli_LineWidening::theWidth`[private]`

The documentation for this class was generated from the following file:

- IGESAppli_LineWidening.hxx